import Vue from 'vue'
import App from './App'
// 包装请求组件
import admin from './common/admin.js'
// 工具组件
import utils from './common/util.js'
// 公钥私钥加密
import JSEncrypt from './common/jsencrypt.js'

Vue.prototype.$util = utils;
Vue.prototype.$admin = admin;
Vue.prototype.$JSEncrypt = JSEncrypt;
Vue.prototype.$systemInfo = {
	// 设备信息
	platform: 'ios', // 机型
	navBarHeight: 0, // 导航栏高度 px
	statusBarHeight: 0, // 状态栏高度 px
	fontSizeSetting: 14 // 用户字体大小 px
};

// 全组件之间通信
Vue.prototype.$eventHub = new Vue();

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
